Skip to navigation

Get account settings export results

View as Markdown

Returns the results for a single account settings export request.

Given an export ID, this method returns the results of an account settings export request. To get a list of all the export requests, use getAccountSettingsExports.

The results are available through a URL that you can access through the results property of the response. For example, to get the URL of first result you might use results[0].url

The settings export is formatted like this:

{
"accounts": [
{
"account_id": "9ca037f4-xxxx-xxxx-xxxx-212e57d4f22e",
"name": "The Happy Company",
. . .
},
{
"account_id": "624e3e00-xxxx-xxxx-xxxx-43918c520dab",
"name": "LoanCo",
. . .
}
],
"settings": [
. . .
{
"category": "Signing",
"name": "SignerCanSignOnMobile",
"account_values": [
{
"account_id": "9ca037f4-xxxx-xxxx-xxxx-212e57d4f22e",
"value": "true",
"rights": "editable"
},
{
"account_id": "624e3e00-xxxx-xxxx-xxxx-43918c520dab",
"value": "true",
"rights": "editable"
}
]
},
. . .
]
}

Required authentication scopes: account_read.

Authentication

AuthorizationBearer
OAuth2 Access code Grant

Path parameters

organizationIdstringRequiredformat: "uuid"
The organization ID Guid
exportIdstringRequiredformat: "uuid"
The export ID Guid for the request

Response

OK
idstringOptionalformat: "uuid"
The unique ID of this request.
typestringOptional

The type of export requested. One of:

  • organization_domain_users_export: All users of the reserved domains.
  • organization_external_memberships_export: Users whose email address domain is not linked to the organization.
  • organization_memberships_export: Every user in every account in the organization. Users in multiple accounts will appear more than once.
  • organization_account_settings_export: This value only applies to requests to export account settings.
requestorobjectOptional
createddatetimeOptional

The time and date the request was created. This is a date in ISO 8601 format.

Example: 2019-03-26T19:02:09.8957715Z

last_modifieddatetimeOptional

The time and date when the request was modified. This is typically the same as created.

completeddatetimeOptional
The time and date when the request completed. Null if the request is still in progress.
expiresdatetimeOptional
The time and date when the request expires.
statusstringOptional

The status of the request. One of:

  • failed
  • in_process
  • queued
  • completed
selected_accountslist of objectsOptional
selected_domainslist of objectsOptional
metadata_urlstringOptional

A pre-configured GET request to get the status of the export. Generally this is the same URI used to access this endpoint.

percent_completedintegerOptional

An integer between 0 to 100 (inclusive) that reports the progress of the request.

number_rowslongOptional
The number of rows returned in this request.
size_byteslongOptional
The size of the request in bytes.
resultslist of objectsOptional
An array of results. There is one set of results for each server an account is in.
successbooleanOptional

When true, the request succeeded.